package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingFullrangeRemoveitemRequest struct {
	/*
	   商品sku信息     */
	Param0 *domain.AlibabaWdkMarketingFullrangeRemoveitemItemStairSku `json:"param0" required:"true" `
	/*
	   活动信息     */
	Param1 *domain.AlibabaWdkMarketingFullrangeRemoveitemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaWdkMarketingFullrangeRemoveitemRequest) SetParam0(v domain.AlibabaWdkMarketingFullrangeRemoveitemItemStairSku) *AlibabaWdkMarketingFullrangeRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeRemoveitemRequest) SetParam1(v domain.AlibabaWdkMarketingFullrangeRemoveitemCommonActivityParam) *AlibabaWdkMarketingFullrangeRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingFullrangeRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingFullrangeRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
